 datablock PlayerData(RotTrollrZombie : PlayerStandardArmor)
{
	//category = "Vehicles";
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 0;	//total number of bricks you can carry
	maxWeapons = 0;		//this will be controlled by mini-game code
	maxTools = 0;

	maxDamage = 800;
	runforce = 2 * 90;
	maxForwardSpeed = 14;
	maxBackwardSpeed = 14;
	maxSideSpeed = 14;
	attackpower = 15;
	jumpsound = "ZombieJumpSound";
	
	mass = 1000;

	jumpForce = 20 * 90; //8.3 * 90;
	BrickDestroyMaxVolume = 150;
	BrickMaxJumpHeight = 40;
	uiName = "Zombie Troll";
	rideable = true;
	canRide = true;
	BrickKillRadius = 3;
	skinColor = "0.3 0.3 1 1";
	FollowAnim = "ArmReadyBoth";
};
function RotTrollrZombie::ondisabled(%this,%obj)
{
	parent::ondisabled(%this,%obj);
	ZombieDefault::ondisabled(%this,%obj);
}
function RotTrollrZombie::onCollision(%this, %obj, %col, %fade, %pos, %norm)
{
	parent::oncollision(%this, %obj, %col, %fade, %pos, %norm);
	ZombieDefault::onCollision(%this, %obj, %col, %fade, %pos, %norm);
	if(IsInMinigame(%obj) && IsInSameMinigame(%col,%obj) && %obj.getstate() !$= "Dead" && %obj.spawnbrick.getgroup().client.minigame.EnableZombies == 1)
	{
		%col.applyimpulse(%col.getposition(),vectoradd(vectorscale(%obj.getforwardvector(),2000),"0 0 500"));
	}
	if(IsInMinigame(%obj) && MinigameIncludesPlayerBricks(%col) && %col.iszombie && %obj.getstate() !$= "Dead")
	{
		%col.applyimpulse(%col.getposition(),vectoradd(vectorscale(%obj.getforwardvector(),2000),"0 0 500"));
		%obj.playthread(2,activate2);
	}
}
function RotTrollrZombie::onMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onMount(%a,%player,%vehicle,%d,%e,%f);
}
function RotTrollrZombie::onUnMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onUnMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onUnMount(%a,%player,%vehicle,%d,%e,%f);
}
function RotTrollrZombie::onAdd(%this,%obj)
{
	parent::onAdd(%this,%obj);
	ZombieDefault::onAdd(%this,%obj);
	%obj.setscale("4.1 4.1 3.2");
}